Advertisement:

Navigation

Readme

SMF 2.0.17

SMF 2.0.17 fixes a bug in 2.0.16 that could cause significant performance issues when retrieving RSS feeds, and fixes some warning messages that could appear when using SSI.php.

File Edits

./index.php

Operation #1
Find: [Select]
* @version 2.0.16
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #2
Find: [Select]
$forum_version = 'SMF 2.0.16';
Replace With: [Select]
$forum_version = 'SMF 2.0.17';

./Sources/News.php

Operation #1
Find: [Select]
* @version 2.0.16
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #2
Find: [Select]
$smcFunc['strpos']($data, '&', $pos), $smcFunc['strpos']($data, ']', $pos),
Replace With: [Select]
$smcFunc['strpos']($data, '&', $pos), $smcFunc['strpos']($data, ']]>', $pos),

./SSI.php

Operation #1
Find: [Select]
\* @version 2\.0\.15
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #2
Find: [Select]
global \$image_proxy_enabled, \$image_proxy_secret, \$image_proxy_maxsize;\n\n
Replace With: [Select]
global $image_proxy_enabled, $image_proxy_secret, $image_proxy_maxsize; global $auth_secret, $cookie_no_auth_secret;
This operation isn't vital to the installation of this mod.

Operation #3
Find: [Select]
* @version 2.0.16
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #4
Find: [Select]
$ssi_error_reporting = error_reporting(defined('E_STRICT') ? E_ALL | E_STRICT : E_ALL);
Replace With: [Select]
$ssi_error_reporting = error_reporting((defined('E_STRICT') ? E_ALL | E_STRICT : E_ALL) & ~E_DEPRECATED);

./Sources/Load.php

Operation #1
Find: [Select]
* @version 2.0.16
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #2
Find: [Select]
list ($k, $v) = each($_GET);
Replace With: [Select]
reset($_GET); $k = key($_GET); $v = $_GET[$k];

./Sources/Subs-Package.php

Operation #1
Find: [Select]
* @version 2.0.16
Replace With: [Select]
* @version 2.0.17
This operation isn't vital to the installation of this mod.

Operation #2
Find: [Select]
if (strpos($gzfilename, 'http://') !== false)
Replace With: [Select]
if (strpos($gzfilename, 'http://') !== false || strpos($gzfilename, 'https://') !== false)
Operation #3
Find: [Select]
while (!empty($dirs)) { list ($dir, $dest) = each($dirs); unset($dirs[$dir]);
Replace With: [Select]
foreach ($dirs as $dir => $dest) {